commit:     e40a04829a4498e0d9b8a99da1c94b3e4467da7e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  4 17:30:26 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jun  4 17:30:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e40a0482

sys-apps/iproute2: Bump to version 5.7.0

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-apps/iproute2/Manifest              |   1 +
 sys-apps/iproute2/iproute2-5.7.0.ebuild | 158 ++++++++++++++++++++++++++++++++
 2 files changed, 159 insertions(+)

diff --git a/sys-apps/iproute2/Manifest b/sys-apps/iproute2/Manifest
index a1a22f40f8d..5abe1ccdd6b 100644
--- a/sys-apps/iproute2/Manifest
+++ b/sys-apps/iproute2/Manifest
@@ -3,3 +3,4 @@ DIST iproute2-5.2.0.tar.xz 729540 BLAKE2B 
72d082b4f39b6b9f0040149ea14d3c5c6d999e
 DIST iproute2-5.4.0.tar.xz 741328 BLAKE2B 
8c7b74aa64526180e793165eb3d0f1ee07d4589fa982aa91e4e0775595c096d73677e85bb7f073cbe14e6de6b166d31efba94554f8c7df3320b168341818fcba
 SHA512 
26d1230e10d9ba4466edd3fe95cb6f595df691eeb27b87ae845ceb9da09fe11c2e0daa8d67187121320413f9ee7131fd426182055eb285be7c4de558d9e47051
 DIST iproute2-5.5.0.tar.xz 747756 BLAKE2B 
b9cf368bd0a082c1d613b8089ed425d50525d886a56b2353439ba3fa5c7fedcb40deb090b78c23e14d61cbffebb5ad7de13c08afb2b18841000a3b8e08861b63
 SHA512 
a59fb6d620206aa17a4ff7d4510b99322e39b6cf34a00953a7d4cd4d62ca85de16d2e28e33cafa7b026edd4f63c81f3f337954aafe963b964ca0cd2d5c54ac78
 DIST iproute2-5.6.0.tar.xz 754812 BLAKE2B 
5232c206052dcbc489284cb5a4169bf2555f9bdf7c122e23be07f7a5a18e0c828f5b4f3bb4afb6d33919919d211c67a20626ad10556e4ae41f90619d6eed445f
 SHA512 
e52c6c8b676ab79401ae815fe3f80268c1edb490c0a00826e0f7181a816e9bf6549df9e77a40b0d56855db8ad312179b3a40002a2dd6f66c807039cff0cdfb6c
+DIST iproute2-5.7.0.tar.xz 764436 BLAKE2B 
842229730139f8931c4ff3d548fe56c7c86b6bb7be5cc1a7dd896ddce34c039467fb90d0c258cdc91276edc59b9b19f53c39a36c79b54b15a78436b44c595eed
 SHA512 
d5ef68e0eb8e84fbff68c2e7dd4097b9ceb438c928d17ede4130876802dfeafe8bf08d82b4fd39005314e0679c0b261aaa3d6a0a2ff364074a43a043a855a634

diff --git a/sys-apps/iproute2/iproute2-5.7.0.ebuild 
b/sys-apps/iproute2/iproute2-5.7.0.ebuild
new file mode 100644
index 00000000000..7dcb54c51f5
--- /dev/null
+++ b/sys-apps/iproute2/iproute2-5.7.0.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs flag-o-matic multilib
+
+if [[ ${PV} == "9999" ]] ; then
+       
EGIT_REPO_URI="https://git.kernel.org/pub/scm/linux/kernel/git/shemminger/iproute2.git";
+       inherit git-r3
+else
+       SRC_URI="https://www.kernel.org/pub/linux/utils/net/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+fi
+
+DESCRIPTION="kernel routing and traffic control utilities"
+HOMEPAGE="https://wiki.linuxfoundation.org/networking/iproute2";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="atm berkdb caps elf +iptables ipv6 minimal selinux"
+
+# We could make libmnl optional, but it's tiny, so eh
+RDEPEND="
+       !net-misc/arpd
+       dev-libs/libbsd
+       !minimal? ( net-libs/libmnl )
+       caps? ( sys-libs/libcap )
+       elf? ( virtual/libelf )
+       iptables? ( >=net-firewall/iptables-1.4.20:= )
+       berkdb? ( sys-libs/db:= )
+       atm? ( net-dialup/linux-atm )
+       selinux? ( sys-libs/libselinux )
+"
+# We require newer linux-headers for ipset support #549948 and some defines 
#553876
+DEPEND="
+       ${RDEPEND}
+       >=sys-kernel/linux-headers-3.16
+"
+BDEPEND="
+       app-arch/xz-utils
+       >=sys-devel/bison-2.4
+       sys-devel/flex
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.1.0-mtu.patch #291907
+       "${FILESDIR}"/${PN}-4.20.0-configure-nomagic.patch # bug 643722
+       "${FILESDIR}"/${PN}-5.1.0-portability.patch
+)
+
+src_prepare() {
+       if ! use ipv6 ; then
+               PATCHES+=(
+                       "${FILESDIR}"/${PN}-4.20.0-no-ipv6.patch #326849
+               )
+       fi
+
+       default
+
+       # echo -n is not POSIX compliant
+       sed 's@echo -n@printf@' -i configure || die
+
+       sed -i \
+               -e '/^CC :\?=/d' \
+               -e "/^LIBDIR/s:=.*:=/$(get_libdir):" \
+               -e "s|-O2|${CFLAGS} ${CPPFLAGS}|" \
+               -e "/^HOSTCC/s:=.*:= $(tc-getBUILD_CC):" \
+               -e "/^DBM_INCLUDE/s:=.*:=${T}:" \
+               Makefile || die
+
+       # build against system headers
+       rm -r include/netinet || die #include/linux 
include/ip{,6}tables{,_common}.h include/libiptc
+       sed -i 's:TCPI_OPT_ECN_SEEN:16:' misc/ss.c || die
+
+       if use minimal ; then
+               sed -i -e '/^SUBDIRS=/s:=.*:=lib tc ip:' Makefile || die
+       fi
+}
+
+src_configure() {
+       tc-export AR CC PKG_CONFIG
+
+       # This sure is ugly.  Should probably move into toolchain-funcs at some 
point.
+       local setns
+       pushd "${T}" >/dev/null
+       printf '#include <sched.h>\nint main(){return setns(0, 0);}\n' > test.c
+       ${CC} ${CFLAGS} ${CPPFLAGS} -D_GNU_SOURCE ${LDFLAGS} test.c >&/dev/null 
&& setns=y || setns=n
+       echo 'int main(){return 0;}' > test.c
+       ${CC} ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} test.c -lresolv >&/dev/null || 
sed -i '/^LDLIBS/s:-lresolv::' "${S}"/Makefile
+       popd >/dev/null
+
+       # run "configure" script first which will create "config.mk"...
+       econf
+
+       # ...now switch on/off requested features via USE flags
+       # this is only useful if the test did not set other things, per bug 
#643722
+       cat <<-EOF >> config.mk
+       TC_CONFIG_ATM := $(usex atm y n)
+       TC_CONFIG_XT  := $(usex iptables y n)
+       TC_CONFIG_NO_XT := $(usex iptables n y)
+       # We've locked in recent enough kernel headers #549948
+       TC_CONFIG_IPSET := y
+       HAVE_BERKELEY_DB := $(usex berkdb y n)
+       HAVE_CAP      := $(usex caps y n)
+       HAVE_MNL      := $(usex minimal n y)
+       HAVE_ELF      := $(usex elf y n)
+       HAVE_SELINUX  := $(usex selinux y n)
+       IP_CONFIG_SETNS := ${setns}
+       # Use correct iptables dir, #144265 #293709
+       IPT_LIB_DIR := $(use iptables && ${PKG_CONFIG} xtables 
--variable=xtlibdir)
+       EOF
+}
+
+src_compile() {
+       emake V=1 NETNS_RUN_DIR=/run/netns
+}
+
+src_install() {
+       if use minimal ; then
+               into /
+               dosbin tc/tc
+               dobin ip/ip
+               return 0
+       fi
+
+       emake \
+               DESTDIR="${D}" \
+               PREFIX="${EPREFIX}/usr" \
+               LIBDIR="${EPREFIX}"/$(get_libdir) \
+               SBINDIR="${EPREFIX}"/sbin \
+               CONFDIR="${EPREFIX}"/etc/iproute2 \
+               DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+               MANDIR="${EPREFIX}"/usr/share/man \
+               ARPDDIR="${EPREFIX}"/var/lib/arpd \
+               install
+
+       dodir /bin
+       mv "${ED}"/{s,}bin/ip || die #330115
+
+       dolib.a lib/libnetlink.a
+       insinto /usr/include
+       doins include/libnetlink.h
+       # This local header pulls in a lot of linux headers it
+       # doesn't directly need.  Delete this header that requires
+       # linux-headers-3.8 until that goes stable.  #467716
+       sed -i '/linux\/netconf.h/d' "${ED}"/usr/include/libnetlink.h || die
+
+       if use berkdb ; then
+               keepdir /var/lib/arpd
+               # bug 47482, arpd doesn't need to be in /sbin
+               dodir /usr/bin
+               mv "${ED}"/sbin/arpd "${ED}"/usr/bin/ || die
+       elif [[ -d "${ED}"/var/lib/arpd ]]; then
+               rmdir --ignore-fail-on-non-empty -p "${ED}"/var/lib/arpd || die
+       fi
+}

Reply via email to